DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# BinaryPropagation

Morphological propagation of binary objects

## SYNOPSIS

`#include "dip_binary.h"`

dip_Error dip_BinaryPropagation ( seed, mask, out, connectivity, iterations, edge )

## DATA TYPES

binary

## FUNCTION

The `connectivity` parameter defines the metric, that is, the shape of the structuring element. 1 indicates city-block metric, or a diamond-shaped structuring element. 2 indicates chessboard metric, or a square structuring element. -1 and -2 indicate alternating connectivity and produce an octagonal structuring element. See The connectivity parameter for more information. The `edge` parameter specifies whether the border of the image should be treated as object (`DIP_TRUE`) or as background (`DIP_FALSE`).

See section 9.6, "Morphology-based operations", in Fundamentals of Image Processing for a description of binary mathematical morphology operations, and section 10.3, "Segmentation", for applications of binary propagation.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `seed` | Input seed
`dip_Image` | `mask` | Input mask
`dip_Image` | `out` | Output
`dip_int` | `connectivity` | Connectivity
`dip_int` | `iterations (0)` | Iterations
`dip_Boolean` | `edge` | Edge condition

## KNOWN BUGS

This function is only implemented for images with a dimension up to three.

## SEE ALSO

`BinaryDilation`, `BinaryErosion`, `BinaryClosing`, `BinaryOpening`, `EdgeObjectsRemove`, `GrowRegions`